Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.infodesire.infobit.external
Class ImportMessage

    java.lang.Object
      |
      +--com.infodesire.infobit.external.ImportMessage

public class ImportMessage
extends java.lang.Object

This class represents diagnostic messages yield from the process to import a collection of infobits.

Version:
  $Revision: 1.1 $
Author:
  peter2

Constructor Summary
`ImportMessage(java.lang.String message)` Initializes an instance for which location information is not available
`ImportMessage(java.lang.String systemID, int line, int col, java.lang.String message)` Initializes an instance from its properties.

Method Summary
`int` | `getLine()` Yields the line of the location to which the message applies.
`java.lang.String` | `getMessage()` Gets the textual message content.
`java.lang.String` | `getSystemID()` Yields the system ID of the external entity which contains the location to which the message applies.
`void` | `setLine(int line)` Defines the line of the location to which the message applies.
`void` | `setMessage(java.lang.String message)` Defines the message.
`void` | `setSystemID(java.lang.String systemID)` Defines the system ID of the external entity which contains the location to which the message applies.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImportMessage

    public ImportMessage(java.lang.String systemID,
                         int line,
                         int col,
                         java.lang.String message)

  Initializes an instance from its properties.

Parameters:
  `systemID` - Description of Parameter
  `line` - Description of Parameter
  `col` - Description of Parameter
  `message` - Description of Parameter

### ImportMessage

    public ImportMessage(java.lang.String message)

  Initializes an instance for which location information is not available

Parameters:
  `message` - Description of Parameter

Method Detail

### getMessage

    public java.lang.String getMessage()

  Gets the textual message content.

  Returns:
    The Message value

### getSystemID

    public java.lang.String getSystemID()

  Yields the system ID of the external entity which contains the location to which the message applies.

  Returns:
    The SystemID value

### getLine

    public int getLine()

  Yields the line of the location to which the message applies.

  Returns:
    line The line number, starting from 1, or 0 if not applicable

### setMessage

    public void setMessage(java.lang.String message)

  Defines the message.

  Parameters:
    `message` - The diagnostics message

### setSystemID

    public void setSystemID(java.lang.String systemID)

  Defines the system ID of the external entity which contains the location to which the message applies.

  Parameters:
    `systemID` - The new SystemID value

### setLine

    public void setLine(int line)

  Defines the line of the location to which the message applies.

  Parameters:
    `line` - The line number, starting from 1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Information Desire GmbH. All Rights Reserved.